var ynPlugins = {};
var ua = navigator.userAgent.toLowerCase();
var isIPhone = /iPhone/i.test(ua);

ynPlugins.playVideo = function (videoJson, sucFun, errFun) {
  try {
    if (isIPhone) {
      window.webkit.messageHandlers.playVideo.postMessage(videoJson);
    } else {
      window.native.playVideo(videoJson);
    }
  } catch (e) {

  }
}
ynPlugins.playAudio = function (audioJson, sucFun, errFun) {
  try {
    if (isIPhone) {
      window.webkit.messageHandlers.playAudio.postMessage(audioJson);
    } else {
      window.native.playAudio(audioJson);
    }
  } catch (e) {

  }
}
ynPlugins.disableBackButton = function (sucFun, errFun) {
  try {
    if (isIPhone) {
      window.webkit.messageHandlers.disableBackButton.postMessage(null);
    } else {
      window.native.disableBackButton();
    }
  } catch (e) {

  }
}
ynPlugins.allowBackButton = function (sucFun, errFun) {
  try {
    if (isIPhone) {
      window.webkit.messageHandlers.allowBackButton.postMessage(null);
    } else {
      window.native.allowBackButton();
    }
  } catch (e) {

  }
}
ynPlugins.closeWindow = function (sucFun, errFun) {
  try {
    if (isIPhone) {
      window.webkit.messageHandlers.closeWindow.postMessage(null);
    } else {
      window.native.closeWindow();
    }
  } catch (e) {

  }
}
ynPlugins.startQRScan = function (sucFun, errFun) {
  try {
    if (isIPhone) {
      window.webkit.messageHandlers.startQRScan.postMessage(null);
    } else {
      window.native.startQRScan();
    }
  } catch (e) {

  }
}
ynPlugins.logout = function (sucFun, errFun) {
  try {
    if (isIPhone) {
      window.webkit.messageHandlers.logout.postMessage(null);
    } else {
      window.native.logout();
    }
  } catch (e) {

  }
}
ynPlugins.showHeader = function (sucFun, errFun) {
  try {
    if (isIPhone) {
      window.webkit.messageHandlers.showHeader.postMessage(null);
    } else {
      window.native.showHeader();
    }
  } catch (e) {

  }
}
ynPlugins.hideHeader = function (sucFun, errFun) {
  try {
    if (isIPhone) {
      window.webkit.messageHandlers.hideHeader.postMessage(null);
    } else {
      window.native.hideHeader();
    }
  } catch (e) {

  }
}
ynPlugins.getMyIp = function (sucFun, errFun) {
  try {
    if (isIPhone) {
      window.webkit.messageHandlers.getMyIp.postMessage(null);
    } else {
      window.native.getMyIp();
    }
  } catch (e) {

  }
}

ynPlugins.getPosition = function (sucFun, errFun) {
  try {
    if (isIPhone) {
      window.webkit.messageHandlers.getPosition.postMessage(null);
    } else {
      window.native.getPosition();
    }
  } catch (e) {

  }
}

