(function(){
    'use strict';

    angular
        .module('myApp', [
            'ionic',
            'staticModule',
            'ngCordova'
        ])
        .run(run)
        .directive('onFinishRender',onFinishRender)
        .filter('to_trusted', ['$sce',//模板转义
            function($sce) {
                return function(text) {
                    return $sce.trustAsHtml(text);
                }
            }
        ]);

    run.$inject = ['ionicHandler', 'authHandler'];
    onFinishRender.$inject = ['$timeout'];

    function run(ionicHandler, authHandler){
        // stateHandler.initialize();
        ionicHandler.initialize();
        authHandler.initialize();
    }
    function onFinishRender($timeout){
        return {
            restrict: 'A',
            link: function (scope, element, attr) {
                if (scope.$last === true) {
                    $timeout(function () {
                        if (!attr.onFinishRender) {
                            scope.$emit('ngRepeatFinished');
                        } else {
                            scope.$emit(attr.onFinishRender);
                        }
                    });
                }
            }
        }
    }
})();
$(document).ready(function(){
    $('body').on('click', '.dropdown-menu .hold-on-click', function (e) {
        e.stopPropagation();
    });
});
