/**
 * Created by wuhaiying on 2017/4/24.
 */
(function(){
    'use strict';
    angular
        .module('myApp')
        .controller('applyController', applyController);
    applyController.$inject = ['$scope','$ionicModal','$http','$timeout'];
    function applyController($scope,$ionicModal,$http,$timeout){
        /*选择申请类型*/
        $ionicModal.fromTemplateUrl('apply-style.html',{
            scope:$scope
        }).then(function(modal){
            $scope.modalOne = modal;
        });
        $scope.chooseApplyStyle = function(){
            $scope.modalOne.show();
        };
        $scope.closeApplyStyle = function(){
            $scope.modalOne.hide();
        };
        // Cleanup the modal when we're done with it!
        $scope.$on('$destroy', function() {
            $scope.modalOne.remove();
        });

        /*申请详情*/
        $ionicModal.fromTemplateUrl('apply-detail.html',{
            scope:$scope,
            animation:'slide-in-right'
        }).then(function(modal){
            $scope.modalTwo = modal;
        });
        $scope.showApplyDetail = function(){
            $scope.modalTwo.show();
        };
        $scope.closeApplyDetail = function(){
            $scope.modalTwo.hide();
        };
        // Cleanup the modal when we're done with it!
        $scope.$on('$destroy', function() {
            $scope.modalTwo.remove();
        });

        //超标费用申请
        $ionicModal.fromTemplateUrl('overcost-apply.html',{
            scope:$scope,
            animation:'slide-in-right'
        }).then(function(modal){
            $scope.modalThree = modal;
        });
        $scope.showOverCostApply = function(){
            $scope.modalThree.show();
        };
        $scope.closeOverCostApply = function(){
            $scope.modalThree.hide();
        };
        // Cleanup the modal when we're done with it!
        $scope.$on('$destroy', function() {
            $scope.modalThree.remove();
        });

        //加班申请
        $ionicModal.fromTemplateUrl('overtime-apply.html',{
            scope:$scope,
            animation:'slide-in-right'
        }).then(function(modal){
            $scope.modalFour = modal;
        });
        $scope.showOverTimeApply = function(){
            $scope.modalFour.show();
        };
        $scope.closeOverTimeApply = function(){
            $scope.modalFour.hide();
        };
        // Cleanup the modal when we're done with it!
        $scope.$on('$destroy', function() {
            $scope.modalFour.remove();
        });

        //出差申请
        $ionicModal.fromTemplateUrl('business-trip-apply.html',{
            scope:$scope,
            animation:'slide-in-right'
        }).then(function(modal){
            $scope.modalFive = modal;
        });
        $scope.showBusinessTripApply = function(){
            $scope.modalFive.show();
        };
        $scope.closeBusinessTripApply = function(){
            $scope.modalFive.hide();
        };
        // Cleanup the modal when we're done with it!
        $scope.$on('$destroy', function() {
            $scope.modalFive.remove();
        });

        //请假申请
        $ionicModal.fromTemplateUrl('leave-apply.html',{
            scope:$scope,
            animation:'slide-in-right'
        }).then(function(modal){
            $scope.modalSix = modal;
        });
        $scope.showLeaveApply = function(){
            $scope.modalSix.show();
        };
        $scope.closeLeaveApply = function(){
            $scope.modalSix.hide();
        };
        // Cleanup the modal when we're done with it!
        $scope.$on('$destroy', function() {
            $scope.modalSix.remove();
        });

        //外勤申请
        $ionicModal.fromTemplateUrl('out-work-apply.html',{
            scope:$scope,
            animation:'slide-in-right'
        }).then(function(modal){
            $scope.modalSeven = modal;
        });
        $scope.showOutWorkApply = function(){
            $scope.modalSeven.show();
        };
        $scope.closeOutWorkApply = function(){
            $scope.modalSeven.hide();
        };
        // Cleanup the modal when we're done with it!
        $scope.$on('$destroy', function() {
            $scope.modalSeven.remove();
        });

    }
})();
