
(function () {
    'use strict';

    angular
        .module('myApp')
        .controller('costApplyCtrl',costApplyCtrl);

    costApplyCtrl.$inject = ['$scope','$ionicModal','$ionicLoading'];

    function costApplyCtrl($scope,$ionicModal,$ionicLoading) {
        /*选择费用申请类别 模态*/
        $ionicModal.fromTemplateUrl('select-cost-apply.html',{
            scope: $scope,
            animation: 'slide-in-up'
        }).then(function(modal){
            $scope.modalOne = modal;
        });
        $scope.showCostApply = function(){
            $scope.modalOne.show();
        };
        $scope.closeCostApply = function(){
            $scope.modalOne.hide();
        };
        /*增加费用项 模态*/
        $ionicModal.fromTemplateUrl('add-cost.html',{
            scope: $scope,
            animation: 'slide-in-left'
        }).then(function(modal){
            $scope.modalOne1 = modal;
        });
        $scope.showAddCost = function(){
            $scope.modalOne1.show();
        };
        $scope.closeAddCost = function(){
            $scope.modalOne1.hide();
        };
        /*提示信息*/
        /*费用项 说明*/
        $scope.showCostWarning = function(){
            $ionicLoading.show({
                template:'例如填写费用类别：差旅交通费、投标履约保证金、客户招待费等；若是采购资产或是领用礼品等，可直接填入资产名称或礼品名称'
            }).then(function(){
                var elm = angular.element;
                elm('.loading-container .loading').css({
                    'width':'200px',
                    'height':' auto',
                    'padding': '10px',
                    'font-size': '12px'
                });
            });
            setTimeout(function(){
                $ionicLoading.hide();
            },5000)
        };
        /*费用详细说明 提示*/
        $scope.showCostMsgWarning = function(){
            $ionicLoading.show({
                template:'如投标费用说明转账方式转账要求；资产采购说明采购数量、型号；领取礼品写明礼品赠送客户的单位、接受人；客户接待写明来访客户单位名称、最高领导；出差写明出差地点及事由等等'
            }).then(function(){
                var elm = angular.element;
                elm('.loading-container .loading').css({
                    'width':'200px',
                    'height':' auto',
                    'padding': '10px',
                    'font-size': '12px'
                });
            });
            setTimeout(function(){
                $ionicLoading.hide();
            },5000)
        };
    }
})();
