(function () {
  'use strict';

  angular
    .module('starter')
    .config(config)
    .controller('customMadeReportCtrl', ctrl);

  config.$inject = ['$stateProvider'];

  function config($stateProvider) {
    $stateProvider
      // 教师
      .state('teacherCustomMadeReport', {
        url: '/teacherCustomMadeReport',
        templateUrl: 'templates/customMadeReport/index.html',
        data: {
          title: '定制报表'
        },
        controller: 'customMadeReportCtrl',
        controllerAs: 'vm'
      })
      // 学生
      .state('stuCustomMadeReport', {
        url: '/stuCustomMadeReport',
        templateUrl: 'templates/customMadeReport/index.html',
        data: {
          title: '定制报表'
        },
        controller: 'customMadeReportCtrl',
        controllerAs: 'vm'
      });
  }

  ctrl.$inject = ['$http', '$state', '$location', 'storageService']

  function ctrl($http, $state, $location, storageService) {

  }
})();
