
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<%--<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>--%>
<!DOCTYPE html>
<html lang="en" class="no-js">
<%@include file="../../../common/taglibs.jsp" %>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no, width=device-width">
    <title>网上报名-YN智慧校园</title>
    <script>
        var basePath = "${basePath}";
        var openid = "${openid}";
        var schoolCode = "${schoolCode}";
    </script>
    <link href="${basePath}/mobile/lib/ionic/css/ionic.css" rel="stylesheet">
    <link href="${basePath}/mobile/lib/toastr/toastr.min.css" rel="stylesheet">
    <link href="${basePath}/mobile/lib/swiper/css/swiper.min.css" rel="stylesheet">
    <link href="${basePath}/mobile/lib/mscroll/css/mobiscroll.animation.css" rel="stylesheet" type="text/css"/>
    <link href="${basePath}/mobile/lib/mscroll/css/mobiscroll.frame.css" rel="stylesheet" type="text/css"/>
    <link href="${basePath}/mobile/lib/mscroll/css/mobiscroll.scroller.css" rel="stylesheet" type="text/css"/>
    <link href="${basePath}/mobile/css/style.css" rel="stylesheet">
    <link href="${basePath}/mobile/css/ynedut_main.css" rel="stylesheet">

    <script src="${basePath}/mobile/lib/jquery/dist/jquery.min.js"></script>
    <script src="${basePath}/mobile/js/moment.min.js"></script>
    <script src="${basePath}/mobile/lib/ionic/js/ionic.bundle.min.js"></script>
    <script src="${basePath}/mobile/lib/underScore/underscore-min.js"></script>
    <script src="${basePath}/mobile/lib/toastr/toastr.min.js"></script>
    <script src="${basePath}/mobile/lib/swiper/js/swiper.min.js"></script>
    <script src="${basePath}/mobile/lib/swiper/js/angular-swiper.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.core.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.frame.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.scroller.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.util.datetime.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.datetimebase.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.datetime.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/i18n/mobiscroll.i18n.zh.js"></script>
    <script src="${basePath}/mobile/lib/angular-local-storage.min.js"></script>

    <script src="${basePath}/mobile/js/components/static.directive.js"></script>
    <script src="${basePath}/mobile/js/components/datetimepicker/datetimepicker.directive.js"></script>
    <script src="${basePath}/mobile/js/enrollOnlineAppNew.js"></script>
    <script src="${basePath}/mobile/js/ajaxfileupload.js"></script>
</head>
<body ng-app="enrollByOnlineNew"  ng-controller="enrollByOnlineNewCtrl">

<div ng-if="hasHttp" class="ng-cloak" ng-cloak>
    <ion-header-bar class="bar-calm" align-title="center" ng-if="!baseInfoId">
        <h1 class="title">${schoolName} 网上报名</h1>
    </ion-header-bar>
    <ion-content ng-class="{'has-header':!baseInfoId}">
        <div ng-show="!emptyInfo && (inNetworkReg || baseInfoId)">
            <div class="list">
                <!--基本信息-->
                <div>
                    <div class="item item-button-right">
                        <span><strong>基本信息</strong></span>
                        <span ng-if="notice && notice.open && notice.noticeContent"><a href="" ng-click="viewEnrollStuNotice()" style="font-size: 12px;">查看报名须知</a></span>
                    </div>
                </div>
                <div ng-repeat="item in stuRegisterFieldList track by $index">
                    <div ng-if="item.componentType != undefined && item.componentType != null">
                        <div ng-if="item.componentType == 0" ng-show="$index<6 || conf.isShow">
                            <!--下拉搜索单选-->
                            <div class="item item-input calender-icon touch-area">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text" ng-model="showNameParam[item.memberName]" readonly ng-click="openSearchTemplate(item);" class="text-right ng-pristine ng-valid ng-touched ng-not-empty" style="">
                                <i class="icon ion-close-round placeholder-icon" ng-click="clearSearchFunc(item);" ng-show="studentVO[item.filedTable][item.memberName]" style=""></i>
                            </div>
                        </div>
                        <div ng-if="item.componentType == 12" ng-show="$index<6 || conf.isShow">
                            <!--报读专业-->
                            <div class="item item-input calender-icon touch-area">
                                <div class="input-label text-left" >
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text" ng-model="showNameParam[item.memberName]" readonly ng-click="openSearchTemplate(item);" class="text-right ng-pristine ng-valid ng-touched ng-not-empty" style="">
                                <i class="icon ion-close-round placeholder-icon" ng-click="clearSearchFunc(item);" ng-show="studentVO[item.filedTable][item.memberName]" style=""></i>
                            </div>
                        </div>
                        <div ng-if="item.componentType == 1" ng-show="$index<6 || conf.isShow">
                            <!--报读专业方向-->
                            <div class="item item-input calender-icon touch-area">
                                <div class="input-label text-left" >
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                    <a href="" ng-click="openViewTextModal(item.relatiomList,true)" ng-if="item.relatiomList.length">报读要求</a>
                                </div>
                                <input type="text" ng-model="showNameParam[item.memberName]" readonly ng-click="openSearchTemplate(item);" class="text-right ng-pristine ng-valid ng-touched ng-not-empty" style="">
                                <i class="icon ion-close-round placeholder-icon" ng-click="clearSearchFunc(item);" ng-show="studentVO[item.filedTable][item.memberName]" style=""></i>
                            </div>
                        </div>
                        <div ng-if="item.componentType == 2" ng-show="$index<6 || conf.isShow">
                            <!--报读专业方向(第二志愿)-->
                            <div class="item item-input calender-icon touch-area">
                                <div class="input-label text-left" >
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text" ng-model="showNameParam[item.memberName]" readonly ng-click="openSearchTemplate(item);" class="text-right ng-pristine ng-valid ng-touched ng-not-empty" style="">
                                <i class="icon ion-close-round placeholder-icon" ng-click="clearSearchFunc(item);" ng-show="studentVO[item.filedTable][item.memberName]" style=""></i>
                            </div>
                        </div>
                        <div ng-if="item.componentType == 3" ng-show="$index<6 || conf.isShow">
                            <!--报读专业方向(第三志愿)-->
                            <div class="item item-input calender-icon touch-area">
                                <div class="input-label text-left" >
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text" ng-model="showNameParam[item.memberName]" readonly ng-click="openSearchTemplate(item);" class="text-right ng-pristine ng-valid ng-touched ng-not-empty" style="">
                                <i class="icon ion-close-round placeholder-icon" ng-click="clearSearchFunc(item);" ng-show="studentVO[item.filedTable][item.memberName]" style=""></i>
                            </div>
                        </div>
                        <div ng-if="item.componentType == 4" ng-show="$index<6 || conf.isShow">
                            <!--姓名-->
                            <label class="item item-input ">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text"  ng-model="studentVO[item.filedTable][item.memberName]" ng-blur="changeInputField(item)" maxlength="{{getMaxLength(item)}}" class="ng-pristine ng-valid ng-empty ng-valid-maxlength ng-touched" style=""/>
                            </label>
                        </div>
                        <div ng-if="item.componentType == 5" ng-show="$index<6 || conf.isShow">
                            <!--证件号码-->
                            <label class="item item-input ">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text" ng-model="studentVO[item.filedTable][item.memberName]" ng-blur="changeCredentialField(item)" maxlength="{{getCredentialMaxLength(item)}}" class="ng-pristine ng-valid ng-empty ng-valid-maxlength ng-touched" style=""/>
                            </label>
                        </div>
                        <div ng-if="item.componentType == 6" ng-show="$index<6 || conf.isShow">
                            <!--是否住宿+入住意向-->
                            <label class="item item-input item-select">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <select ng-model="studentVO[item.filedTable][item.memberName]" ng-change="changeStayStatusField(item)" ng-options="i.id as i.name for i in stayStatusList"  class="ng-valid ng-touched ng-not-empty ng-dirty ng-valid-parse" style="">
                                </select>
                            </label>
                            <label class="item item-input item-select" ng-if="item.stayIntention">
                                <div class="input-label text-left">
                                    入住意向
                                    <span class="required" ng-if="item.stayIntentionNotNull"> * </span>
                                </div>
                                <select ng-model="studentVO[item.filedTable]['platformSysDormitoryTypeId']" ng-change="changeDormitoryTypeField(item)" ng-options="i.id as i.name for i in customFieldInfo[item.memberName].dataList"  class="ng-valid ng-touched ng-not-empty ng-dirty ng-valid-parse" style="">
                                </select>
                            </label>
                        </div>
                        <div ng-if="item.componentType == 7" ng-show="$index<6 || conf.isShow">
                            <!--推荐人-->
                            <div class="item item-input calender-icon touch-area">
                                <div class="input-label text-left" >推荐人(校内)
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text" ng-model="showNameParam[item.memberName]" readonly ng-click="openPresenterTemplate(item);" class="text-right ng-pristine ng-valid ng-touched ng-not-empty" style="">
                                <i class="icon ion-close-round placeholder-icon" ng-click="clearPresenterFunc(item);" ng-show="studentVO[item.filedTable]['innerPresenter']" style=""></i>
                            </div>
                            <label class="item item-input ">
                                <div class="input-label text-left">推荐人(校外)
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text"  ng-model="studentVO[item.filedTable]['outerPresenter']" ng-blur="changeOuterPresenterField(item)" maxlength="{{item.length}}" class="ng-pristine ng-valid ng-empty ng-valid-maxlength ng-touched" style=""/>
                            </label>
                        </div>
                        <div ng-if="item.componentType == 8" ng-show="$index<6 || conf.isShow">
                            <!--省市县-->
                            <label class="item item-input item-select">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name+'(省/市)'"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <select ng-model="customFieldInfo[item.memberName].provincialId" ng-change="customFieldInfo[item.memberName].changeProvincialFunc(item)" ng-options="i.id as i.name for i in customFieldInfo[item.memberName].provincialList"  class="ng-valid ng-touched ng-not-empty ng-dirty ng-valid-parse" style="">
                                </select>
                            </label>
                            <label class="item item-input item-select" ng-if="customFieldInfo[item.memberName].provincialId && customFieldInfo[item.memberName].citiesList.length >0">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name+'(市/县)'"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <select ng-model="customFieldInfo[item.memberName].citiesId" ng-change="customFieldInfo[item.memberName].changeCitiesFunc(item)" ng-options="i.id as i.name for i in customFieldInfo[item.memberName].citiesList"  class="ng-valid ng-touched ng-not-empty ng-dirty ng-valid-parse" style="">
                                </select>
                            </label>
                            <label class="item item-input item-select" ng-if="customFieldInfo[item.memberName].citiesId && customFieldInfo[item.memberName].countiesList.length >0">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name+'(县)'"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <select ng-model="customFieldInfo[item.memberName].countiesId" ng-change="customFieldInfo[item.memberName].changeCountiesFunc(item)" ng-options="i.id as i.name for i in customFieldInfo[item.memberName].countiesList"  class="ng-valid ng-touched ng-not-empty ng-dirty ng-valid-parse" style="">
                                </select>
                            </label>
                        </div>
                        <div ng-if="item.componentType == 9" ng-show="$index<6 || conf.isShow">
                            <!--毕业成绩-->
                            <label class="item item-input ">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text"  ng-model="studentVO[item.filedTable][item.memberName]" ng-blur="changeInputField(item)" maxlength="{{getMaxLength(item)}}" class="ng-pristine ng-valid ng-empty ng-valid-maxlength ng-touched" style=""/>
                            </label>
                        </div>
                        <div ng-if="item.componentType == 10" ng-show="$index<6 || conf.isShow">
                            <!--企业级联下拉-->
                            <label class="item item-input item-select">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <select  ng-model="studentVO[item.filedTable][item.memberName]"  ng-options="i.id as i.name for i in customFieldInfo[item.memberName].dataList"  class="ng-pristine ng-valid ng-empty ng-touched" style="">
                                </select>
                            </label>
                        </div>
                        <div ng-if="item.componentType == 11" ng-show="$index<6 || conf.isShow">
                            <!--毕业学校-->
                            <div class="item item-input calender-icon touch-area">
                                <div class="input-label text-left" >
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text" ng-model="showNameParam[item.memberName]" readonly ng-click="openSearchTemplate(item);" class="text-right ng-pristine ng-valid ng-touched ng-not-empty" style="">
                                <i class="icon ion-close-round placeholder-icon" ng-click="clearSearchFunc(item);" ng-show="studentVO[item.filedTable][item.memberName]" style=""></i>
                            </div>
                        </div>
                    </div>
                    <div ng-if="item.componentType == undefined || item.componentType == 13 || item.componentType == 14 || item.componentType == null">
                        <div ng-if="item.controlType == 1" ng-show="$index<6 || conf.isShow">
                            <!--单行文本框-->
                            <label class="item item-input ">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text"  ng-model="studentVO[item.filedTable][item.memberName]" ng-blur="changeInputField(item)" maxlength="{{getMaxLength(item)}}" class="ng-pristine ng-valid ng-empty ng-valid-maxlength ng-touched" style=""/>
                            </label>
                        </div>
                        <div ng-if="item.controlType == 2" ng-show="$index<6 || conf.isShow">
                            <!--多行文本框-->
                            <div class="item item-input calender-icon touch-area">
                                <div class="input-label text-left" >
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text" ng-model="studentVO[item.filedTable][item.memberName]" readonly ng-click="openTexttareaTemplate(item);" maxlength="{{item.length}}" class="ng-pristine ng-valid ng-touched ng-not-empty" style="">
                                <i class="icon ion-close-round placeholder-icon" ng-click="clearTexttareaFunc(item);" ng-show="studentVO[item.filedTable][item.memberName]" style=""></i>
                            </div>
                        </div>
                        <div ng-if="item.controlType == 3" ng-show="$index<6 || conf.isShow">
                            <!--下拉单选-->
                            <label class="item item-input item-select">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <select  ng-model="studentVO[item.filedTable][item.memberName]" ng-change="changeSelectFunc(item)"  ng-options="i.id as i.name for i in item.dataList"
                                         ng-disabled="item.disabled" class="ng-pristine ng-valid ng-empty ng-touched" style="">
                                </select>
                            </label>
                        </div>
                        <div ng-if="item.controlType == 4" ng-show="$index<6 || conf.isShow">
                            <!--复选框-->
                            <div class="item item-input calender-icon touch-area">
                                <div class="input-label text-left" >
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input type="text" ng-model="studentVO[item.filedTable][item.memberName]" readonly ng-click="openCheckTemplate(item);" class="ng-pristine ng-valid ng-touched ng-not-empty" style="">
                                <i class="icon ion-close-round placeholder-icon" ng-click="clearCheckFunc(item);" ng-show="studentVO[item.filedTable][item.memberName]" style=""></i>
                            </div>
                        </div>
                        <div ng-if="item.controlType == 5" ng-show="$index<6 || conf.isShow">
                            <!--单选按钮-->
                            <label class="item item-input item-select">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <select  ng-model="studentVO[item.filedTable][item.memberName]"  ng-options="i.id as i.name for i in item.dataList"  class="ng-pristine ng-valid ng-empty ng-touched" style="">
                                </select>
                            </label>
                        </div>
                        <div ng-if="item.controlType == 6" ng-show="$index<6 || conf.isShow">
                            <!--日期-->
                            <div class="item item-input calender-icon touch-area">
                                <div class="input-label text-left">
                                    <span ng-bind="item.name"></span>
                                    <span class="required" ng-if="item.notNull"> * </span>
                                </div>
                                <input ng-if="item.checkRule == 9"  datetimepicker readonly type="text" ng-model="studentVO[item.filedTable][item.memberName]" class="ng-valid mbsc-comp ng-not-empty ng-dirty ng-valid-parse ng-touched"/>
                                <input ng-if="item.checkRule == 10" datetime-type="datetime" datetimepicker readonly type="text" ng-model="studentVO[item.filedTable][item.memberName]" class="ng-valid mbsc-comp ng-touched ng-not-empty ng-dirty ng-valid-parse"/>
                                <input ng-if="item.checkRule == 11" datetimepicker datetime-type="time" readonly type="text" ng-model="studentVO[item.filedTable][item.memberName]" class="ng-valid mbsc-comp ng-not-empty ng-dirty ng-valid-parse ng-touched" >
                                <i class="icon ion-close-round placeholder-icon" ng-if="studentVO[item.filedTable][item.memberName]" ng-click="clearDateFunc(item)" style=""></i>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="icon text-center padding-top padding-bottom ng-hide ion-chevron-down" ng-class="!conf.isShow ? 'ion-chevron-down' : 'ion-chevron-up'" ng-click="moreFun()" ng-show="stuRegisterFieldList && stuRegisterFieldList.length>0 && !conf.isShow" style="">
                    更多
                </div>
                <div class="icon text-center padding-top padding-bottom" ng-class="conf.isShow ? 'ion-chevron-up' : 'ion-chevron-down'" ng-click="chevronUp()" ng-show="conf.isShow">
                    收起
                </div>
            </div>
        </div>
        <div class="creat-wrap" ng-show="!emptyInfo && !inNetworkReg && !baseInfoId && usedOpenid">
            <div class="content-body-text text-center">
                <h4 class="">您已使用该微信号报过名，如还需报名，请切换用另一个微信号登录，然后关注学校公众号报名！</h4>
            </div>
        </div>
        <div class="creat-wrap" ng-show="!emptyInfo && !inNetworkReg && !baseInfoId && !usedOpenid">
            <div class="content-body-text text-center" style="margin-top: 30%;">
                <h4 ng-if="netConfig.tipTitle" ng-bind="netConfig.tipTitle"></h4>
                <div ng-if="netConfig.tipText" ng-bind="netConfig.tipText"></div>
            </div>
        </div>
        <div class="creat-wrap" ng-show="emptyInfo">
            <div class="content-body-text text-center">
                <h4 class="" >获取数据失败！</h4>
                <div class=" text-muted" ng-click="doRefresh()">单击重试</div>
            </div>
        </div>
    </ion-content>
    <ion-footer-bar ng-show="!emptyInfo&&inNetworkReg || baseInfoId">
        <div class="text-center wd-100">
            <button ng-if="comeType==1" class="button button-calm button-xlg button-outline" ng-click="goBack()">
                返回
            </button>
            <button class="button button-calm button-xlg" ng-click="submitInfo()" ng-disabled="prcOperInfo.inSubmit">
                {{!baseInfoId && configStep.needMaterial && configStep.step === 4 ? '下一步' : '提交'}}
            </button>
        </div>
    </ion-footer-bar>
</div>

<!--下拉搜索弹出模态框-->
<script id="searchField.html" type="text/ng-template">
    <div class="modal bottom-maxhalf">
        <div style="position:initial;" class="modal-list-wrap enroll-modal-wrap" ng-class="{'defined-modal-wrap':customFieldInfo[memberName].selectValue == 'custom'}">
            <div class="fixed-header-wrap">
                <div class="list-heading clearfix">
                    {{customFieldInfo[memberName].name}}
                    <span class="calm" ng-click="templateFunc.closeSearchModal()">关闭</span>
                </div>
                <div class="padding-10 border-bottom">
                    <div class="input-group-wrap">
                        <div class="search-input input-only">
                            <input type="text" placeholder="搜索" class="form-control input-border" ng-model="customFieldInfo[memberName].searchInputStr" ng-change="filterData(true)"/>
                        </div>
                        <div class="search-btn">
                            <button class="button button-calm" type="button" ng-click="filterData()">查询</button>
                        </div>
                    </div>
                    <div class="input-group-wrap margin-top-5"  ng-if="customFieldInfo[memberName].selectValue == 'custom'" >
                        <div class="search-input input-only">
                            <input type="text"  class="form-control input-border" ng-model="customFieldInfo[memberName].customValue"/>
                        </div>
                        <div class="search-btn">
                            <button class="button button-calm" type="button" ng-click="changeCustom()">确定</button>
                        </div>
                    </div>
                </div>
            </div>
            <ion-content>
                <ul class="list-wrap text-center" style="height:auto;max-height:inherit;" ng-if="!customFieldInfo[memberName].isDynimcSearch">
                    <li class="list-item" ng-if="!customFieldInfo[memberName].dataList || customFieldInfo[memberName].dataList.length<=0"> 没有相关数据！</li>
                    <li ng-if="customFieldInfo[memberName].dataList && customFieldInfo[memberName].dataList.length>0" class="list-item" ng-class="{'active':(customFieldInfo[memberName].selectValue && item.id == customFieldInfo[memberName].selectValue)}" ng-repeat="item in customFieldInfo[memberName].dataList" ng-click="selectFunc(item)">{{item.name}}</li>
                </ul>
                <ul class="list-wrap text-center" style="max-height: none" ng-if="customFieldInfo[memberName].isDynimcSearch">
                    <li class="list-item" ng-if="customFieldInfo[memberName].searchType ==-1"> 没有相关数据！</li>
                    <li class="list-item" ng-if="customFieldInfo[memberName].searchType ==1"> 请输入条件查询数据！</li>
                    <li ng-if="customFieldInfo[memberName].dataList && customFieldInfo[memberName].dataList.length>0" class="list-item" ng-class="{'active':(customFieldInfo[memberName].selectValue && item.id == customFieldInfo[memberName].selectValue)}" ng-repeat="item in customFieldInfo[memberName].dataList" ng-click="selectFunc(item)">{{item.name}}</li>
                </ul>
            </ion-content>
        </div>
    </div>
</script>
<!--文本展示-->
<script id="viewText.html" type="text/ng-template">
    <div class="modal bottom-maxhalf" ng-if="relatiomView">
        <div style="position:initial;" class="modal-list-wrap enroll-modal-wrap">
            <div class="fixed-header-wrap">
                <div class="list-heading clearfix">
                    {{customFieldInfo[memberName].name}}的报读要求
                    <span class="calm" ng-click="templateFunc.closeViewTextModal()">关闭</span>
                </div>
            </div>
            <ion-content style="margin-top: -53px;">
                <ul class="list-wrap text-left" style="height:auto;max-height:inherit;">
                    <li class="list-item" ng-if="!relatiomList || relatiomList.length<=0"> 没有相关数据！</li>
                    <li class="list-item" ng-repeat="relatiom in relatiomList">{{($index +1) + '、' + relatiom}}</li>
                </ul>
            </ion-content>
        </div>
    </div>
    <div class="modal bottom-maxhalf" ng-if="!relatiomView">
        <div style="position:initial;" class="modal-list-wrap enroll-modal-wrap">
            <div class="fixed-header-wrap">
                <div class="list-heading clearfix">
                    {{customFieldInfo[memberName].name}}的报读要求
                    <span class="calm" ng-click="templateFunc.closeViewTextModal()">关闭</span>
                </div>
            </div>
            <ion-content style="margin-top: -53px;">
                <div ng-repeat="value in popup.otherWarnInfoList">
                    <ul class="list-wrap text-left">
                        <strong>{{value.tips}}</strong>的报读要求如下：
                        <li class="list-item" ng-repeat="i in value.conditionList">{{($index +1) + '、' + i.admCondition}}</li>
                        <strong>学生信息不符合要求的项目：</strong>
                        <li class="list-item text-danger" ng-repeat="c in value.filterConditionList">{{c.stuData}}</li>
                    </ul>
                </div>
            </ion-content>
        </div>
    </div>
</script>
<!--大文本弹出模态框-->
<script id="textareaField.html" type="text/ng-template">
    <div class="modal modal-btm modal-height modal-textarea-wrap">
        <div class="modal-list-wrap">
            <div class="list-heading clearfix">
                {{customFieldInfo[memberName].name}}
                <span class="calm" ng-click="templateFunc.closeTextareaModal()">关闭</span>
            </div>
            <div class="padding-10">
                <textarea class="form-control input-border" rows="3" ng-model="studentVO[customFieldInfo[memberName].filedTable][memberName]" ng-change="changeTextFunc()"   maxlength="{{customFieldInfo[memberName].length}}"></textarea>
            </div>
        </div>
    </div>
</script>
<!--推荐人弹出模态框-->
<script id="presenterField.html" type="text/ng-template">
    <div class="modal bottom-maxhalf">
        <div class="modal-list-wrap enroll-modal-wrap" style="position: initial">
            <div class="fixed-header-wrap">
                <div class="list-heading clearfix">
                    选择校内推荐人
                    <span class="calm" ng-click="templateFunc.closePresenterModal()">关闭</span>
                </div>
                <div class="padding-10 border-bottom">
                    <div class="input-group-wrap">
                        <div class="search-input search-input-group">
                            <select name="userType" id="userType" class="input-border form-control" ng-model="customFieldInfo[memberName].userType">
                                <option value="1">老师</option>
                                <option value="2">学生</option>
                            </select>
                            <input type="text" placeholder="搜索" class="form-control input-border" ng-model="customFieldInfo[memberName].searchInputStr" ng-change="filterPresenterData()"/>
                        </div>
                        <div class="search-btn">
                            <button class="button button-calm" type="button" ng-click="filterPresenterData();">查询</button>
                        </div>
                    </div>
                </div>
            </div>
            <ion-content>
                <ul class="list-wrap text-center" style="max-height: none">
                    <li class="list-item" ng-if="customFieldInfo[memberName].searchInputStr && (!customFieldInfo[memberName].dataList || customFieldInfo[memberName].dataList.length<=0)"> 没有相关数据！</li>
                    <li class="list-item" ng-if="!customFieldInfo[memberName].searchInputStr && (!customFieldInfo[memberName].dataList || customFieldInfo[memberName].dataList.length<=0)"> 请输入查询条件！</li>
                    <li ng-if="customFieldInfo[memberName].dataList && customFieldInfo[memberName].dataList.length>0" class="list-item" ng-class="{'active':(customFieldInfo[memberName].selectValue && item.id == customFieldInfo[memberName].selectValue)}" ng-repeat="item in customFieldInfo[memberName].dataList" ng-click="selectPresenterFunc(item)">{{item.name}}</li>
                </ul>
            </ion-content>
        </div>
    </div>
</script>
<!--复选框弹出模态框-->
<script id="checkField.html" type="text/ng-template">
    <div class="modal bottom-minhalf">
        <div class="modal-list-wrap">
            <div class="list-heading clearfix">
                {{customFieldInfo[memberName].name}}
                <span class="calm" ng-click="templateFunc.closeCheckModal()">关闭</span>
            </div>

            <ion-content class="has-header">
                <ul class="list-wrap text-center">
                    <li class="list-item" ng-if="!customFieldInfo[memberName].dataList || customFieldInfo[memberName].dataList.length<=0"> 没有相关数据！</li>
                    <li ng-if="customFieldInfo[memberName].dataList && customFieldInfo[memberName].dataList.length>0" class="list-item" ng-class="{'active':item.selected}" ng-repeat="item in customFieldInfo[memberName].dataList" ng-click="selectCheckFunc(item)">{{item.name}}</li>
                </ul>
            </ion-content>
        </div>
    </div>
</script>
</body>

</html>
