angular.module('starter').controller('activityController',
  ['$scope', '$ionicModal', '$http', '$location', 'ynuiNotification', 'ynNavigator',"$state",
    function ($scope, $ionicModal, $http, $location, ynuiNotification, ynNavigator,$state) {

      var basePath = originBaseUrl + "/third/newss/mobile";

      var backSearchInfo = $location.search().backSearchInfo;
      var backUrl = $location.search().backUrl;
      var title = $location.search().title;
      if (title){
        ynNavigator.setNavTitle(title);
      }
      var oldItem = angular.fromJson(backSearchInfo);

      if (!oldItem.stuId || !oldItem.date) {
        return;
      }

      $scope.leaveData = {};
      $scope.goBack = goBack;
      function getLeaveData() {
        $http.get(basePath + "/findActivityInfoByUserIdAndDate.htm?date=" + oldItem.date + "&stuId=" + oldItem.stuId).success(function (data) {
          if (data.status == 0) {
            $scope.leaveData = data.result;
          }
        });
      }

      getLeaveData();

      function goBack(){
        if (backUrl){
          $state.go(backUrl, {backSearchInfo: backSearchInfo});
        } else {
          //关闭当前微应用
          ynNavigator.finish();
        }
      }

      // 物理返回键处理
      ynNavigator.registerBackAction(function () {
        goBack();
      },101);


    }]);
