
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<%--<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>--%>
<!DOCTYPE html>
<html lang="en" class="no-js">
<%@include file="../../../common/taglibs.jsp" %>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=0.5, maximum-scale=3.0, user-scalable=yes">
    <title>通知公告</title>
    <script>
        var basePath = "${basePath}";
    </script>
    <link href="${basePath}/mobile/lib/toastr/toastr.min.css" rel="stylesheet">
    <link href="${basePath}/mobile/lib/swiper/css/swiper.min.css" rel="stylesheet">
    <link href="${basePath}/mobile/lib/mscroll/css/mobiscroll.animation.css" rel="stylesheet" type="text/css"/>
    <link href="${basePath}/mobile/lib/mscroll/css/mobiscroll.frame.css" rel="stylesheet" type="text/css"/>
    <link href="${basePath}/mobile/lib/mscroll/css/mobiscroll.scroller.css" rel="stylesheet" type="text/css"/>
    <link href="${basePath}/mobile/css/style.css" rel="stylesheet">
    <link href="${basePath}/mobile/css/ynedut_main.css" rel="stylesheet">

    <script src="${basePath}/mobile/lib/jquery/dist/jquery.min.js"></script>
    <script src="${basePath}/mobile/js/moment.min.js"></script>
    <script src="${basePath}/mobile/lib/ionic/js/ionic.bundle.min.js"></script>
    <script src="${basePath}/mobile/lib/underScore/underscore-min.js"></script>
    <script src="${basePath}/mobile/lib/toastr/toastr.min.js"></script>
    <script src="${basePath}/mobile/lib/swiper/js/swiper.min.js"></script>
    <script src="${basePath}/mobile/lib/swiper/js/angular-swiper.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.core.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.frame.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.scroller.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.util.datetime.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.datetimebase.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.datetime.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/i18n/mobiscroll.i18n.zh.js"></script>

    <script src="${basePath}/mobile/js/components/static.directive.js"></script>
    <script src="${basePath}/mobile/js/components/datetimepicker/datetimepicker.directive.js"></script>
    <script src="${basePath}/mobile/js/viewNoticeApp.js"></script>
    <script src="${basePath}/mobile/js/ajaxfileupload.js"></script>
    <style>
    .content-box-img img {
        max-width: 100%;
    }
</style>
</head>
<body ng-app="viewNotice" ng-controller="viewNoticeCtrl">

<div class="panel panel-default" style="border: 0px;" ng-if="hasHttp">
    <div class="panel-body" ng-if="notice.exceptionStr">
        <div class="col-md-12 margin-top-40">
            <h4 class="margin-left-10 text-danger" style="text-indent:30px"><strong>{{notice.exceptionStr}}</strong></h4>
        </div>
    </div>
    <div class="panel-body" ng-if="!notice.exceptionStr">
        <div class="col-md-12 margin-top-20">
            <div class="border-title-bm">
                <h4 class="text-center"><strong>{{notice.title}}</strong></h4>
                <div>
                    <label class="margin-left-10">
                        张贴时间范围：{{notice.pubStartTimeStr}}至{{notice.pubEndTimeStr?notice.pubEndTimeStr:"不限"}}（{{notice.publisherName}}）
                    </label>
                </div>
            </div>
            <div class="border-title-bm content-box-img">
                <label class="margin-left-20" ng-bind-html="notice.noticeContent"></label>
            </div>
            <div class="border-title-bm text-right content-box-img" ng-show="notice.signedContent">
                <label class="margin-left-10" ng-bind-html="notice.signedContent"></label>
            </div>
            <span ng-show="notice.messageNoticeAttachmentList && notice.messageNoticeAttachmentList.length">
                <label>附件：</label>
                <div ng-repeat="item in notice.messageNoticeAttachmentList">
                   <div ng-if="item.attachmentName" class="margin-top-10">
                     <a href="" ng-if="!isIPhone" ng-click="downLoad(item)">{{item.attachmentName}}</a>
                     <label  ng-if="isIPhone">{{item.attachmentName}}</label>({{item.size}}KB)
                   </div>
                </div>
            </span>

        </div>
    </div>
</div>
</body>

</html>
