cordova.define("yn-plugin-yncordova.yncordova", function(require, exports, module) {

    var exec = require('cordova/exec');

    // 关闭 cordova
    exports.close = function(successFn, failureFn) {
        exec(successFn, failureFn, "YNCordova","close", []);
    }
    // 获取用户信息
    exports.baseInfo = function(successFn, failureFn) {
        exec(successFn, failureFn, "YNCordova","baseInfo", []);
    }
    // SensorsDataAPI 神策统计api
    var sda = {
        trackAppClick: function(opts,successFn, failureFn) {
           exec(successFn, failureFn, "YNCordova","SensorsDataAPI_trackAppClick", opts);
        }
    }
    exports.sensorsDataAPI = sda;

    // 原生跳转
    exports.nativeStart = function(opts, successFn, failureFn) {
        exec(successFn, failureFn, "YNCordova", "nativeStart", opts);
    }
    // 身份证相机
    exports.startUserIDCardCamera = function(opts, successFn, failureFn) {
        exec(successFn, failureFn, "YNCordova", "startUserIDCardCamera", opts);
    }
    // 证件照相机
    exports.startUserIDPhotoCamera = function(opts, successFn, failureFn) {
        exec(successFn, failureFn, "YNCordova", "startUserIDPhotoCamera", opts);
    }
});
