package com.yineng.ynbridge.engine

import com.tencent.smtt.export.external.interfaces.JsPromptResult
import com.tencent.smtt.sdk.WebChromeClient
import com.tencent.smtt.sdk.WebView


/**
 * ClassName YnSystemWebViewClient
 * User: zuoweichen
 * Date: 2022/3/16 11:15
 * Description: 描述
 */
open class YnSystemWebChromeClient(protected val parentEngine: SystemWebViewEngine) :
    WebChromeClient() {

    override fun onJsPrompt(
        view: WebView?,
        url: String?,
        message: String?,
        defaultValue: String?,
        result: JsPromptResult
    ): Boolean {
        val handledRet = parentEngine.bridge.promptOnJsPrompt(url, message, defaultValue)
        if (handledRet != null) {
            result.confirm(handledRet)
        }
        return true
    }

}