(function () {
    'use strict';

    angular
        .module('myApp')
        .factory('ionicHandler', ionicHandler);

    ionicHandler.$inject = ['$ionicPlatform','$rootScope','$ionicScrollDelegate'];

    function ionicHandler($ionicPlatform,$rootScope,$ionicScrollDelegate){
        return {
            initialize: initialize
        };

        function initialize(){
            $ionicPlatform.ready(function () {
                if(window.cordova && window.cordova.plugins.Keyboard) {
                    cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
                    cordova.plugins.Keyboard.disableScroll(true);
                }
                if (window.StatusBar) {
                    StatusBar.styleLightContent();
                }
                if(!ionic.Platform.isAndroid()){
                    ionic.Platform.fullScreen(true, true);
                }
            });
        }
    }

})();
