/*! ynedut-0.1.0.js 2021-04-23 17:04:49 */
angular.module("loginApp", ["ionic"]).config(function ($httpProvider) {
    $httpProvider.defaults.headers.put["Content-Type"] = "application/x-www-form-urlencoded", $httpProvider.defaults.headers.post["Content-Type"] = "application/x-www-form-urlencoded";
    var param = function (obj) {
        var name, value, fullSubName, subName, subValue, innerObj, i, query = "";
        for (name in obj) if ((value = obj[name]) instanceof Array) for (i = 0; i < value.length; ++i) subValue = value[i], fullSubName = name, innerObj = {}, innerObj[fullSubName] = subValue, query += param(innerObj) + "&"; else if (value instanceof Object) for (subName in value) subValue = value[subName], fullSubName = name + "[" + subName + "]", innerObj = {}, innerObj[fullSubName] = subValue, query += param(innerObj) + "&"; else void 0 !== value && null !== value && (query += encodeURIComponent(name) + "=" + encodeURIComponent(value) + "&");
        return query.length ? query.substr(0, query.length - 1) : query
    };
    $httpProvider.defaults.transformRequest = [function (data) {
        return angular.isObject(data) && "[object File]" !== String(data) ? param(data) : data
    }]
}).controller("loginCtrl", ["$rootScope", "$scope", "$http", "$window", function ($rootScope, $scope, $http, $window) {
    $scope.loginInfo = {
        username: null,
        password: null,
        rememberMe: !1,
        isRemember: null,
        randCode: null,
        isAutoLogin: !0
    }, $scope.loginErr = null, $scope.loginButtonText = "登录";
    var location = (window.location + "").split("/"), basePath = location[0] + "//" + location[2] + "/" + location[3],
        isLoginSuccess = !0;
    $scope.login = function () {
        if (isLoginSuccess) {
            if (isLoginSuccess = !1, $scope.loginErr = null, !$scope.loginInfo.username && !$scope.loginInfo.password) return $scope.loginErr = "请输入登录账号和密码！", void (isLoginSuccess = !0);
            if (!$scope.loginInfo.username) return $scope.loginErr = "请输入登录账号！", void (isLoginSuccess = !0);
            if (!$scope.loginInfo.password) return $scope.loginErr = "请输入密码！", void (isLoginSuccess = !0);
            $scope.loginButtonText = "登录...";
            var rd = getRandomNum(5);
            $scope.loginInfo.password = rsaEncrypt(rd + $scope.loginInfo.password), $scope.newLoginFormObj = {
                ue: $scope.loginInfo.username,
                rd: rd,
                pd: $scope.loginInfo.password,
                rememberMe: $scope.loginInfo.rememberMe,
                isRemember: $scope.loginInfo.isRemember,
                randCode: $scope.loginInfo.randCode,
                isAutoLogin: $scope.loginInfo.isAutoLogin
            }, $http.post( "http://localhost:8080/ynedut/loginForm.htm", $scope.newLoginFormObj).success(function (data, status, headers, config) {
                isLoginSuccess = !0, $scope.loginButtonText = "登录", console.log("data:", data), 0 == data.status || 1003 == data.status ? $window.location.href = basePath + "/app/appindex.html" : $scope.loginErr = data.message
            })
        }
    }
    /**
     * 登录密码公钥加密
     * @param str 原始字符串
     * @returns 加密后的字符串
     */
    function rsaEncrypt(str) {
        var encrypt = new JSEncrypt();
        encrypt.setPublicKey("MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCXjTb6oR8czwHnjnfBJrl8C6DWHzd0Ce49WCxInfjiRh9BYq6twAS2r306zA0pnMPfIiSLYXMt1McnvvaISZ7ZUnEgA5WSLTJBmtOqTcY9f6DRpZQmWg0TtsDmPcJpvLM7Si/8eDD7iANmwWNcpkYBnPqYzM0K+3Kf1qaHLVbskQIDAQAB");
        str = encrypt.encrypt(str);
        // 避免+被替换成功空格
        str = encodeURI(str).replace(/\+/g, '%2B');
        return str;
    }


    /**
     * 产生随机数函数
     * @param n 几位
     * @returns {string}
     * @constructor
     */
    function getRandomNum(n) {
        var rnd = "";
        for (var i = 0; i < n; i++) {
            rnd += Math.floor(Math.random() * 10);
        }
        return rnd;
    }
}]);