/**
 * Project:     ynedut
 * Title:       网页播放器
 * Author:      liaohao
 * Date:        2015/7/20 16:22
 * Copyright:   2015 www.yineng.com.cn Inc. All rights reserved.
 * Description:
 */
angular.module("yn.utils").directive('lmsYnPlayer', [function () {

    return {

        restrict: 'AE',
        templateUrl: basePath + '/static/yineng/components/lmsYnPlayer/playerJs/index.html',
        scope: {
            options: '='
        },
        replace: false,
        link: function ($scope, $element, $attrs, ctrls) {
            var audioOrVideoFilePath = "";
            $.ajax({
                url: basePath + '/lmshome/portalHomePage/getAudioOrVideoFilePath.htm',
                async: false,
                type:"post",
                data:{fileKeyId:$scope.options.mediaUrl},
                success: function(date){
                    audioOrVideoFilePath = date;
                }
            });
            // 播放地址
            var mediaUrl = audioOrVideoFilePath;
            //var mediaUrl = "/ynedut/static/yineng/components/lmsYnPlayer/test.mp4";
            // 宽度
            var width = $scope.options.width;
            // 高度
            var height = $scope.options.height;
            // 浏览器支持 默认为调用 flash 如果出现 或者是MP3文件则调用html5
            var flag = false;
            if (undefined != mediaUrl && null != mediaUrl) {

                // 如果为MP3格式，只能是html5来播放
                if (mediaUrl.substring(mediaUrl.lastIndexOf('.') + 1, mediaUrl.length) == 'mp3' || mediaUrl.substring(mediaUrl.lastIndexOf('.') + 1, mediaUrl.length) == 'MP3' ||
                    mediaUrl.substring(mediaUrl.lastIndexOf('.') + 1, mediaUrl.length) == 'mp4' || mediaUrl.substring(mediaUrl.lastIndexOf('.') + 1, mediaUrl.length) == 'MP4'
                ) {
                    flag = true;
                }
            }
            /**
             * 播放器参数配置
             */
            var flashvars = {
                f: mediaUrl,//视频地址
                p:1,
                e:1,
                i: basePath + '/static/yineng/components/lmsYnPlayer/playerJs/bg.jpg'//初始图片地址，
                //loaded:'loadedHandler'
            };
            // 1.背景色 2.是否支持全屏 3.
            var params = {bgcolor: '#FFF', allowFullScreen: true, allowScriptAccess: 'always',wmode:'transparent'};//这里定义播放器的其它参数如背景色（跟flashvars中的b不同），是否支持全屏，是否支持交互

            /**
             * html5模块
             */
            var video = [mediaUrl];

            /**
             * 1. swf所在位置
             * 2. 写死（千万不要改）
             * 3. 写死<div id="ckplayer_a1"></div> 视屏所在区域位置(千万不要改)
             * 4. 显示大小(宽度) 可以写成  200
             * 5. 显示大小(高度) 可以写成  100
             * 6. 如果为true 默认调用html5 如果为false 则调用 flash
             * 7. 调用flash播放时的配置
             * 8. 调用html5属性播放的时候 配置
             * 9. 背景颜色
             */
            CKobject.embed(basePath + '/static/yineng/components/lmsYnPlayer/playerJs/ckplayer/ckplayer.swf', 'a1', 'ckplayer_a1', width, height, flag, flashvars, video, params);

        }

    }
}]);