/**
 * 学生端-考试与成绩工作台
 *
 * @author qiucheng Lu
 * @Date 2022年1月4日17:34:35
 */
(function () {
    'use strict';

    angular
        .module('starter')
        .config(config)
        .controller('achievementworkspaceCtrl', ctrl);

    config.$inject = ['$stateProvider'];

    function config($stateProvider) {
        $stateProvider
        // 工作台
            .state('achievementworkspace', {
                firstPage: true,
                url: '/achievementworkspace',
                templateUrl: 'templates/achievement/index.html',
                data: {
                    title: '考试与成绩'
                },
                controller: 'achievementworkspaceCtrl',
                controllerAs: 'vm'
            });
    }

    ctrl.$inject = ['$http', '$state', '$location', 'storageService']

    function ctrl($http, $state, $location, storageService) {
        var vm = this;
    }
})();
