
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<%--<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>--%>
<!DOCTYPE html>
<html lang="en" class="no-js">
<%@include file="../../../common/taglibs.jsp" %>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no, width=device-width">
    <title>报名须知</title>
    <script>
        var basePath = "${basePath}";
    </script>
    <link href="${basePath}/mobile/lib/ionic/css/ionic.css" rel="stylesheet">
    <link href="${basePath}/mobile/lib/toastr/toastr.min.css" rel="stylesheet">
    <link href="${basePath}/mobile/lib/swiper/css/swiper.min.css" rel="stylesheet">
    <link href="${basePath}/mobile/lib/mscroll/css/mobiscroll.animation.css" rel="stylesheet" type="text/css"/>
    <link href="${basePath}/mobile/lib/mscroll/css/mobiscroll.frame.css" rel="stylesheet" type="text/css"/>
    <link href="${basePath}/mobile/lib/mscroll/css/mobiscroll.scroller.css" rel="stylesheet" type="text/css"/>
    <link href="${basePath}/mobile/css/style.css" rel="stylesheet">
    <link href="${basePath}/mobile/css/ynedut_main.css" rel="stylesheet">

    <script src="${basePath}/mobile/lib/jquery/dist/jquery.min.js"></script>
    <script src="${basePath}/mobile/js/moment.min.js"></script>
    <script src="${basePath}/mobile/lib/ionic/js/ionic.bundle.min.js"></script>
    <script src="${basePath}/mobile/lib/underScore/underscore-min.js"></script>
    <script src="${basePath}/mobile/lib/toastr/toastr.min.js"></script>
    <script src="${basePath}/mobile/lib/swiper/js/swiper.min.js"></script>
    <script src="${basePath}/mobile/lib/swiper/js/angular-swiper.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.core.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.frame.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.scroller.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.util.datetime.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.datetimebase.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/mobiscroll.datetime.js"></script>
    <script src="${basePath}/mobile/lib/mscroll/js/i18n/mobiscroll.i18n.zh.js"></script>
    <script src="${basePath}/mobile/lib/angular-local-storage.min.js"></script>

    <script src="${basePath}/mobile/js/components/static.directive.js"></script>
    <script src="${basePath}/mobile/js/components/datetimepicker/datetimepicker.directive.js"></script>
    <script src="${basePath}/mobile/js/enrollOnlineAppNew.js"></script>
    <script src="${basePath}/mobile/js/ajaxfileupload.js"></script>
</head>
<body ng-app="enrollByOnlineNew"  ng-controller="viewEnrollStuNoticeController">

<div class="ng-cloak" ng-cloak>
    <ion-content>
        <div style="margin-bottom: 20px;"></div>
        <div class="border-title-bm ">
            <h4 class="text-center"><strong>{{notice.title}}</strong></h4>
        </div>
        <div class="panel-body ueditorContent">
            <p class="text-left" id="preview">
                <span ng-bind-html="notice.noticeContent" class="child-img-font"></span>
            </p>
        </div>
    </ion-content>
    <ion-footer-bar>
        <div class="text-center wd-100">
            <button class="button button-calm button-xlg" ng-click="enrollOnline()">
                立即报名
            </button>
        </div>
    </ion-footer-bar>
</div>
</body>

</html>
