/*
 * @Description: 评教
 * @version: 
 * @Author: liliming
 * @Date: 2021-08-23 10:41:24
 * @LastEditors: sueRim
 * @LastEditTime: 2021-08-24 09:09:33
 */

(function () {
    'use strict';

    angular.module('starter').config(stateConfig)
        .controller('evaluationTeachingCtrl', evaluationTeachingCtrl)
    // .controller('collectSituationCtrl', collectSituationCtrl)
    // .controller('collectInfoListCtrl', collectInfoListCtrl)
    // .controller('collectDetailCtrl', collectDetailCtrl);

    stateConfig.$inject = ['$stateProvider'];

    /**
     * 路由配置
     *
     * @param $stateProvider
     */
    function stateConfig($stateProvider) {
        $stateProvider
            .state('evaluation_teaching', {
                url: '/evaluation_teaching',
                templateUrl: 'templates/evaluation_teaching/evaluation_teaching.html',
                controller: 'evaluationTeachingCtrl',
                data: {
                    title: '评教'
                }
            })
            .state('evaluation_teaching_search', {
                url: '/evaluation_teaching_search',
                templateUrl: 'templates/evaluation_teaching/evaluation_teaching_search.html',
                controller: 'evaluationTeachingCtrl',
                data: {
                    title: '评教'
                }
            })
            .state('evaluation_question', {
                url: '/evaluation_question',
                templateUrl: 'templates/evaluation_teaching/evaluation_question.html',
                controller: 'evaluationTeachingCtrl',
                data: {
                    title: '评教'
                }
            })
    }

    evaluationTeachingCtrl.$inject = ['$scope', '$location']

    function evaluationTeachingCtrl($scope, $location) {
        $scope.toQuery = toQuery;//跳转查询列表
        $scope.check = check;//跳转查询列表
        function toQuery() {
            $location.path("/evaluation_teaching_search");
        }
    }
})();