/**
 * Created by yineng on 2017/11/20 13:12
 *
 */
angular.module("starter")
    // 文件下载路径
    .constant('fileDownloadPath', "/ynedut/file/downloadStream.htm?fastDFSId=")
    // 资源类型
    .constant(
        'resType',
        {
            // 文档素材
            DOC_MATERIAL: 0,
            // 网站
            WEBSITE: 1,
            // scorm
            SCORM: 2,
            // 知识点
            K_POINT: 3,
            // 教案附件
            JA_ATTACHMENT: 4
        }
    )
    // 资源操作类型
    .constant(
        'operateType',
        {
            // 收藏
            COLLECTION: 0,
            // 下载
            DOWNLOAD: 1,
            // 阅读
            READ: 2,
            // 点赞
            LIKE: 3,
            // 记笔记
            NOTE: 4,
            // 学习
            STUDY: 5
        }
    )
    // 资源格式
    .constant(
        'docType',
        {
            // 不支持的格式
            OTHER: 0,
            // 网址
            WEBSITE: 1,
            // scorm
            SCORM: 2,
            // 知识点
            K_POINT: 3,
            // 视频
            VIDEO: 4,
            // 音频
            AUDIO: 5,
            // 图片
            IMAGE: 6,
            // 文档
            DOCUMENT: 7,
            // 压缩包
            ZIP: 8
        }
    );
