angular.module('starter').controller('leaveInfoController',
  ['$scope', '$http', '$location', 'ynuiNotification',"ynNavigator","$state",
    function ($scope, $http, $location, ynuiNotification,ynNavigator,$state) {

      var basePath = originBaseUrl + "/third/newss/mobile";

      var backSearchInfo = $location.search().backSearchInfo;
      var backUrl = $location.search().backUrl;
      var title = $location.search().title;
      if (title){
        ynNavigator.setNavTitle(title);
      }
      var oldItem = angular.fromJson(backSearchInfo);

      if (!oldItem.stuId || !oldItem.date) {
        ynuiNotification.error({msg: "缺少参数stuId或date"});
        return;
      }


      $scope.leaveData = {};
      function getLeaveData() {
        $http.get(basePath + "/findLeaveInfoByUserIdAndDate.htm?date=" + oldItem.date + "&stuId=" + oldItem.stuId).success(function (data) {
          if (data.status == 0) {
            $scope.leaveData = data.result;
          }else {
            ynuiNotification.error({msg: "获取请假信息失败"});
          }
        });
      }

      getLeaveData();

      function goBack(){
        if (backUrl){
          $state.go(backUrl, {backSearchInfo: backSearchInfo});
        } else {
          //关闭当前微应用
          ynNavigator.finish();
        }
      }


      ynNavigator.registerBackAction(function () {
        goBack();
      },101);


    }]);
