/**
 * Created by yineng on 2019/3/4.
 */
angular.module('starter')
    .config(function ($stateProvider, $urlRouterProvider) {
        $stateProvider
            //班主任-归寝查询
            .state('headmaster_demand', {
                url: '/headmaster_demand?backSearchInfo&backUrl',
                templateUrl: 'templates/return_dormitory/headmaster/headmaster_demand.html',
                controller:'returnDormitoryHeadMasterController',
                data: {
                    prev: 'workspaceForTeacher',
                    title: '历史归寝结果'
                }
            })
            //请假信息
            .state('leave_info', {
                url: '/leave_info',
                templateUrl: 'templates/return_dormitory/common/leaveView.html',
                controller:'leaveInfoController',
                data: {
                    title: '今日归寝登记',
                    prev: 'admin_dormitory_msg'
                }
            })
            //实习信息
            .state('activity_info', {
                url: '/activity_info',
                templateUrl: 'templates/return_dormitory/common/activityView.html',
                controller:'activityController',
                data: {
                  title: '今日归寝登记'
                }
            })
          //宿管员端-今日归寝登记
          .state('admin_dormitory_list_by_sub', {
              url: '/admin_dormitory_list_by_sub?backSearchInfo',
              templateUrl: 'templates/return_dormitory/admin/dormitory_list.html',
              controller:'returnDormitoryAdminRoomController',
              data: {
                  title: '今日归寝登记',
                  micro: true
              }
          })
          //宿管员端-今日归寝登记
          .state('admin_dormitory_msg_by_sub', {
            url: '/admin_dormitory_msg_by_sub?backSearchInfo',
            templateUrl: 'templates/return_dormitory/admin/dormitory_msg.html',
            controller:'returnDormitoryAdminRoomOperatorController',
            data: {
              prev: 'admin_dormitory_list_by_sub',
              title: '今日归寝登记'
            }
          })
            // 学生-宿舍考勤情况
          .state('room_attendance_student', {
            url: '/room_attendance_student?backSearchInfo',
            templateUrl: 'templates/return_dormitory/stu/return_room_info.html',
            controller:'roomAttendanceStudentController',
            data: {
                title: '宿舍考勤情况',
                micro: true
            }
          })
            // 归寝结果查看--楼栋主列表  值日老师
            .state('zbkq_in_bedStudent_tea', {
                url: '/zbkq_in_bedStudent_tea?backSearchInfo',
                templateUrl: 'templates/return_dormitory/teacherDuty/return_result_tea.html',
                controller: 'returnResultTeaController',
                data: {
                    title: '归寝结果查看',
                    micro: true
                }
            })
            // 归寝结果查看--寝室列表  值日老师
            .state('zbkq_in_bedStudent_tea_room', {
                url: '/zbkq_in_bedStudent_tea_room?backSearchInfo',
                templateUrl: 'templates/return_dormitory/teacherDuty/return_result_tea_room.html',
                controller: 'returnResultTeaRoomController',
                data: {
                    title: '归寝结果查看',
                    prev: 'zbkq_in_bedStudent_tea'
                }
            })
            // 归寝登记结果--历史归寝明细--宿管员
            .state('zbkq_in_bedStudent_dormitory_manager', {
                firstPage: true,
                url: '/zbkq_in_bedStudent_dormitory_manager?backSearchInfo&backUrl',
                templateUrl: 'templates/return_dormitory/adminView/return_result_room_detail.html',
                controller: 'returnResultRoomDetailController',
                data: {
                    title: '历史归寝结果',
                    micro: true
                }
            })
            // 归寝登记结果--今日归寝登记--异常处理
            .state('dormitory_abnormal', {
                firstPage: true,
                url: '/dormitory_abnormal?backSearchInfo',
                templateUrl: 'templates/return_dormitory/admin/room_abnormal.html',
                controller: 'dormitoryAbnormalController',
                data: {
                    title: '异常学生名单',
                    prev: 'admin_dormitory_list_by_sub'
                }
            })

        ;
        $urlRouterProvider.otherwise('/admin_dormitory_list_by_sub');
    });
