/**
 * 打卡
 *
 */

(function () {
    'use strict';

    angular.module('starter').config(stateConfig).controller('showHelpController', showHelpController);

    stateConfig.$inject = ['$stateProvider'];

    /**
     * 路由配置
     *
     * @param $stateProvider
     */
    function stateConfig($stateProvider) {
        $stateProvider.state('showHelp', {
            firstPage: true,
            url: '/showHelp',
            templateUrl: 'templates/zbkq/dialog/showHelp.html',
        });
    }

    showHelpController.$inject = ['$scope', '$http', 'modalManager','$ionicPopup'];

    function showHelpController($scope, $http,  attModalManager,$ionicPopup) {

        var vm = $scope.vm = {
            // 取消
            clickAttDialog:function (flag) {
                $scope.$emit("in_bed_show_help",flag);
                attModalManager.remove("in_bed_show_help");
            }
        };

        /**
         * 预览照片
         */
        $scope.previewPhoto = function (photo) {
            var fsId = photo == 1?"<img style=\"height: 340px;width: 200px\"  src=\"img/help_ss01.png\" alt=\"\" >":
                "<img style=\"height: 340px;width: 230px\"  src=\"img/help_ss02.png\" alt=\"\" >";
            $ionicPopup.alert({
                title: '图片预览',
                template: fsId,
                okText: '关闭'
            });
            // var cordovaFileOpen = cordova.plugins.disusered.open;
            // cordovaFileOpen(
            //     fsId,
            //     // 预览成功回调事件
            //     function () {
            //     },
            //     /**
            //      * 预览出错回调事件
            //      * @param code
            //      */
            //     function (code) {
            //         var template = code === 1 ? '未能在手机已安装APP中找到可预览此文件的程序' : '预览时发生了未知错误 #' + code;
            //         $ionicPopup.alert({
            //             title: '文件预览提示',
            //             template: template
            //         });
            //     }
            // );
        }

        $scope.$on('$destroy', function() {
            attModalManager.remove("in_bed_show_help");
        });
    }
})();
