package com.yineng.ynbridge

/**
 * ClassName PluginEntry
 * User: zuoweichen
 * Date: 2022/3/17 13:56
 * Description: 插件入口对象
 */
class PluginEntry {
    val service: String
    val pluginClass: String

    val plugin: YnWebPlugin?
    var onLoad: Boolean = false

    constructor(service: String, pluginClass: String, onLoad: Boolean = false) : this(
        service,
        pluginClass,
        onLoad,
        null
    )

    constructor(
        service: String,
        pluginClass: String,
        onload: Boolean = false,
        plugin: YnWebPlugin?
    ) {
        this.service = service
        this.pluginClass = pluginClass
        this.plugin = plugin
        this.onLoad = onload
    }

}