package com.yineng.ynbridge

import androidx.fragment.app.FragmentActivity

/**
 * ClassName YnBridgeInterface
 * User: zuoweichen
 * Date: 2022/3/16 11:48
 * Description: 由使用方（activity/view/fragment）实现的接口。用于隔离插件开发，并消除对整个库的依赖。
 */
interface YnBridgeInterface {
    /**
     * 插件发送出来的消息回调
     * @param id String
     * @param data Any?
     */
    fun onMessage(id: String, data: Any?)
    fun getActivity(): FragmentActivity
}