package com.yineng.ynbridge

import android.view.KeyEvent
import com.tencent.smtt.sdk.ValueCallback

/**
 * ClassName YnBridgeWebViewEngine
 * User: zuoweichen
 * Date: 2022/3/16 13:48
 * Description: 描述
 */
open interface YnBridgeWebViewEngine {
    fun init(client: Client,pluginManager: PluginManager)
    fun loadUrl(url: String)

    /**
     * Add the evaulate Javascript method
     */
    fun evaluateJavascript(js: String, callback: ValueCallback<String>?)
    interface Client {
        fun onDispatchKeyEvent(event: KeyEvent): Boolean?
    }
}